%global packname  reshape2
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          1.4.3
Release:          3%{?dist}
Summary:          Flexibly Reshape Data: A Reboot of the Reshape Package

License:          MIT
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-plyr R-Rcpp R-stringr
# Suggests:  R-covr R-lattice R-testthat
# LinkingTo:
# Enhances:

Requires:         R-plyr >= 1.8.1
Requires:         R-Rcpp R-stringr
Suggests:         R-lattice
BuildRequires:    R-devel tex(latex)
BuildRequires:    R-plyr >= 1.8.1
BuildRequires:    R-stringr R-Rcpp-devel
BuildRequires:    R-testthat R-lattice

%description
Flexibly restructure and aggregate data using just two functions: melt and
'dcast' (or 'acast').


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/NEWS.md
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/libs


%changelog
* Sun Mar 18 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.3-3
- Add missing Rcpp Require.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Dec 22 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.3-1
- Update to latest version.
- Cleanup dependencies.

* Mon Nov 13 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.2-1
- initial package for Fedora
